package models

import models.HttpCall

import play.api.libs.json.JsValue
import org.bson.types.ObjectId
import scala.concurrent.Future
import scala.concurrent.ExecutionContext.Implicits.global


object User {
    def getUserFriends(userId: ObjectId, jwt: String): Future[Seq[ObjectId]] = {
        val url: String = "http://localhost:9000/test/getFriends"
        val queryStringParameters: Seq[(String, String)] = Seq(("userId", userId.toString()))
        
        HttpCall.get(url, queryStringParameters, jwt).map[Seq[ObjectId]]((json: JsValue) => {
            val sequence: Seq[String] = json.as[Seq[String]]
            sequence.map[ObjectId](new ObjectId(_))
        })
    }

    def userExists(userId: ObjectId, jwt: String): Future[Boolean] = {
        val url: String = "http://localhost:9000/test/verifyUser"
        val queryStringParameters: Seq[(String, String)] = Seq(("userId", userId.toString()))
        
        HttpCall.get(url, queryStringParameters, jwt).map[Boolean](_.as[Boolean])
    }
}
